/* ***********************************************************************
   *  OpenGL - reseau  :     construction du reseau                      *
   *                                                                     *
   *                                                                     *
   * objectif(s):                                                        *
   * ------------------------------------------------------------------- *
   * version    : 1.00                                                   *
   * fichier    : OpenGL_reseau.h                                        *
   * ------------------------------------------------------------------- *
   * auteur(s)  : P. Chaudeyrac                                          *
   * ------------------------------------------------------------------- *
   * langage    : C++                                                    *
   * systeme    : Linux                                                  *
   * ------------------------------------------------------------------- *
   * historique :                                                        *
   *  10 08 2004  creation                                               *
   ***********************************************************************
*/


/* ******************************************************************** */
/*                         anti-doublon                                 */
/* ******************************************************************** */
#ifndef OpenGL_reseau_H
#define OpenGL_reseau_H


#include<OpenGL_train.h>


typedef struct S_Reseau {
  int *signalisation;
  int *network;
  int  networkSize ;

  Train train      ;
} Reseau ;



/* ******************************************************************** */
/*                  liste des nouvelles methodes                        */
/* ******************************************************************** */
void drawReseau(Reseau *reseau);
void drawTrain(Reseau *reseau);
void initReseau(Reseau *reseau);
void updatePosition(Reseau *r,int p);
void marcheAvant(Reseau *r,int idTrain);
void marcheArriere(Reseau *r,int idTrain);

/* ******************************************************************** */
/*                         fin anti-doublon                             */
/* ******************************************************************** */
#endif
